Skip to main content
GET
/
projects
/
{projectId}
/
deployments
/
{deploymentTargetConfigurationId}
Get a single project deployment target
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{projectId}/deployments/{deploymentTargetConfigurationId} \
  --header 'Authorization: Bearer <token>'
{
  "type": "dedicated",
  "name": "<string>",
  "deploy_host": "<string>",
  "deploy_port": 123,
  "ssh_host": "<string>",
  "hosts": [
    {
      "id": "<string>",
      "type": "core",
      "services": [
        "<string>"
      ]
    }
  ],
  "auto_mounts": true,
  "excluded_mounts": [
    "<string>"
  ],
  "enforced_mounts": {},
  "auto_crons": true,
  "auto_nginx": true,
  "maintenance_mode": true,
  "guardrails_phase": 123,
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
deploymentTargetConfigurationId
string
required

Response

default - application/json
type
enum<string>
required

The type of the deployment target.

Available options:
dedicated,
enterprise,
local
name
string
required

The name of the deployment target.

deploy_host
string | null
required

The host to deploy to.

deploy_port
integer | null
required

The port to deploy to.

ssh_host
string | null
required

The host to use to SSH to app containers.

hosts
Hosts · object[] | null
required

The hosts of the deployment target.

auto_mounts
boolean
required

Whether to take application mounts from the pushed data or the deployment target.

excluded_mounts
string[]
required

Directories that should not be mounted

enforced_mounts
Enforced Mounts · object
required

Mounts which are always injected into pushed (e.g. enforce /var/log to be a local mount).

auto_crons
boolean
required

Whether to take application crons from the pushed data or the deployment target.

auto_nginx
boolean
required

Whether to take application crons from the pushed data or the deployment target.

maintenance_mode
boolean
required

Whether to perform deployments or not

guardrails_phase
integer
required

which phase of guardrails are we in

id
string

The identifier of DedicatedDeploymentTarget